package net.pricefx.formulaengine.scripting.inputbuilder;

import net.pricefx.common.api.InputType;
import net.pricefx.common.api.PriceFxInterface;

public class DMFieldBuilder extends AbstractInputBuilder<DMFieldBuilder, String> {

    public DMFieldBuilder(InputBuilderContext builderContext, InputType type, String paramName, String source) {
        super(builderContext, type, paramName);
        cp.setValueOptions(new String[]{"DIM"});
        cp.addParameterConfigEntry(PriceFxInterface.FIELD_CONTEXTPARAM_CONFIG_DM_SOURCE_NAME, source);
    }

    @Override
    protected Object _getInput() {
        return builderContext.getEngineContext().getParameter(cp.getName());
    }
}
